Constants (cglib (Version 2.2.2))
Date: 2016-02-03

net.sf.cglib.core

## Interface Constants

- All Superinterfaces:
    org.objectweb.asm.Opcodes

      public interface Constants
      extends org.objectweb.asm.Opcodes

  Version:
    $Id: Constants.java,v 1.21 2006/03/05 02:43:19 herbyderby Exp $
  Author:
    Juozas Baliuka baliuka@mwm.lt

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CONSTRUCTOR_NAME`
    `static java.lang.Class[]` | `EMPTY_CLASS_ARRAY`
    `static int` | `PRIVATE_FINAL_STATIC`
    `static Signature` | `SIG_STATIC`
    `static java.lang.String` | `SOURCE_FILE`
    `static java.lang.String` | `STATIC_NAME`
    `static java.lang.String` | `SUID_FIELD_NAME`
    `static int` | `SWITCH_STYLE_HASH`
    `static int` | `SWITCH_STYLE_HASHONLY`
    `static int` | `SWITCH_STYLE_TRIE`
    `static org.objectweb.asm.Type` | `TYPE_BIG_DECIMAL`
    `static org.objectweb.asm.Type` | `TYPE_BIG_INTEGER`
    `static org.objectweb.asm.Type` | `TYPE_BOOLEAN`
    `static org.objectweb.asm.Type` | `TYPE_BYTE`
    `static org.objectweb.asm.Type` | `TYPE_CHARACTER`
    `static org.objectweb.asm.Type` | `TYPE_CLASS`
    `static org.objectweb.asm.Type` | `TYPE_CLASS_ARRAY`
    `static org.objectweb.asm.Type` | `TYPE_CLASS_LOADER`
    `static org.objectweb.asm.Type` | `TYPE_DOUBLE`
    `static org.objectweb.asm.Type` | `TYPE_ERROR`
    `static org.objectweb.asm.Type` | `TYPE_FLOAT`
    `static org.objectweb.asm.Type` | `TYPE_INTEGER`
    `static org.objectweb.asm.Type` | `TYPE_LONG`
    `static org.objectweb.asm.Type` | `TYPE_NUMBER`
    `static org.objectweb.asm.Type` | `TYPE_OBJECT`
    `static org.objectweb.asm.Type` | `TYPE_OBJECT_ARRAY`
    `static org.objectweb.asm.Type` | `TYPE_RUNTIME_EXCEPTION`
    `static org.objectweb.asm.Type` | `TYPE_SHORT`
    `static org.objectweb.asm.Type` | `TYPE_SIGNATURE`
    `static org.objectweb.asm.Type` | `TYPE_STRING`
    `static org.objectweb.asm.Type` | `TYPE_STRING_ARRAY`
    `static org.objectweb.asm.Type` | `TYPE_STRING_BUFFER`
    `static org.objectweb.asm.Type` | `TYPE_SYSTEM`
    `static org.objectweb.asm.Type` | `TYPE_THROWABLE`
    `static org.objectweb.asm.Type[]` | `TYPES_EMPTY`

    - ### Fields inherited from interface org.objectweb.asm.Opcodes

      `AALOAD, AASTORE, ACC_ABSTRACT, ACC_ANNOTATION, ACC_BRIDGE, ACC_DEPRECATED, ACC_ENUM, ACC_FINAL, ACC_INTERFACE, ACC_NATIVE, ACC_PRIVATE, ACC_PROTECTED, ACC_PUBLIC, ACC_STATIC, ACC_STRICT, ACC_SUPER, ACC_SYNCHRONIZED, ACC_SYNTHETIC, ACC_TRANSIENT, ACC_VARARGS, ACC_VOLATILE, ACONST_NULL, ALOAD, ANEWARRAY, ARETURN, ARRAYLENGTH, ASTORE, ATHROW, BALOAD, BASTORE, BIPUSH, CALOAD, CASTORE, CHECKCAST, D2F, D2I, D2L, DADD, DALOAD, DASTORE, DCMPG, DCMPL, DCONST_0, DCONST_1, DDIV, DLOAD, DMUL, DNEG, DOUBLE, DREM, DRETURN, DSTORE, DSUB, DUP, DUP_X1, DUP_X2, DUP2, DUP2_X1, DUP2_X2, F_APPEND, F_CHOP, F_FULL, F_NEW, F_SAME, F_SAME1, F2D, F2I, F2L, FADD, FALOAD, FASTORE, FCMPG, FCMPL, FCONST_0, FCONST_1, FCONST_2, FDIV, FLOAD, FLOAT, FMUL, FNEG, FREM, FRETURN, FSTORE, FSUB, GETFIELD, GETSTATIC, GOTO, I2B, I2C, I2D, I2F, I2L, I2S, IADD, IALOAD, IAND, IASTORE, ICONST_0, ICONST_1, ICONST_2, ICONST_3, ICONST_4, ICONST_5, ICONST_M1, IDIV, IF_ACMPEQ, IF_ACMPNE, IF_ICMPEQ, IF_ICMPGE, IF_ICMPGT, IF_ICMPLE, IF_ICMPLT, IF_ICMPNE, IFEQ, IFGE, IFGT, IFLE, IFLT, IFNE, IFNONNULL, IFNULL, IINC, ILOAD, IMUL, INEG, INSTANCEOF, INTEGER, INVOKEDYNAMIC, INVOKEDYNAMIC_OWNER, INVOKEINTERFACE, INVOKESPECIAL, INVOKESTATIC, INVOKEVIRTUAL, IOR, IREM, IRETURN, ISHL, ISHR, ISTORE, ISUB, IUSHR, IXOR, JSR, L2D, L2F, L2I, LADD, LALOAD, LAND, LASTORE, LCMP, LCONST_0, LCONST_1, LDC, LDIV, LLOAD, LMUL, LNEG, LONG, LOOKUPSWITCH, LOR, LREM, LRETURN, LSHL, LSHR, LSTORE, LSUB, LUSHR, LXOR, MONITORENTER, MONITOREXIT, MULTIANEWARRAY, NEW, NEWARRAY, NOP, NULL, POP, POP2, PUTFIELD, PUTSTATIC, RET, RETURN, SALOAD, SASTORE, SIPUSH, SWAP, T_BOOLEAN, T_BYTE, T_CHAR, T_DOUBLE, T_FLOAT, T_INT, T_LONG, T_SHORT, TABLESWITCH, TOP, UNINITIALIZED_THIS, V1_1, V1_2, V1_3, V1_4, V1_5, V1_6, V1_7`

- - ### Field Detail

    - #### EMPTY_CLASS_ARRAY

          static final java.lang.Class[] EMPTY_CLASS_ARRAY

    - #### TYPES_EMPTY

          static final org.objectweb.asm.Type[] TYPES_EMPTY

    - #### SIG_STATIC

          static final Signature SIG_STATIC

    - #### TYPE_OBJECT_ARRAY

          static final org.objectweb.asm.Type TYPE_OBJECT_ARRAY

    - #### TYPE_CLASS_ARRAY

          static final org.objectweb.asm.Type TYPE_CLASS_ARRAY

    - #### TYPE_STRING_ARRAY

          static final org.objectweb.asm.Type TYPE_STRING_ARRAY

    - #### TYPE_OBJECT

          static final org.objectweb.asm.Type TYPE_OBJECT

    - #### TYPE_CLASS

          static final org.objectweb.asm.Type TYPE_CLASS

    - #### TYPE_CLASS_LOADER

          static final org.objectweb.asm.Type TYPE_CLASS_LOADER

    - #### TYPE_CHARACTER

          static final org.objectweb.asm.Type TYPE_CHARACTER

    - #### TYPE_BOOLEAN

          static final org.objectweb.asm.Type TYPE_BOOLEAN

    - #### TYPE_DOUBLE

          static final org.objectweb.asm.Type TYPE_DOUBLE

    - #### TYPE_FLOAT

          static final org.objectweb.asm.Type TYPE_FLOAT

    - #### TYPE_LONG

          static final org.objectweb.asm.Type TYPE_LONG

    - #### TYPE_INTEGER

          static final org.objectweb.asm.Type TYPE_INTEGER

    - #### TYPE_SHORT

          static final org.objectweb.asm.Type TYPE_SHORT

    - #### TYPE_BYTE

          static final org.objectweb.asm.Type TYPE_BYTE

    - #### TYPE_NUMBER

          static final org.objectweb.asm.Type TYPE_NUMBER

    - #### TYPE_STRING

          static final org.objectweb.asm.Type TYPE_STRING

    - #### TYPE_THROWABLE

          static final org.objectweb.asm.Type TYPE_THROWABLE

    - #### TYPE_BIG_INTEGER

          static final org.objectweb.asm.Type TYPE_BIG_INTEGER

    - #### TYPE_BIG_DECIMAL

          static final org.objectweb.asm.Type TYPE_BIG_DECIMAL

    - #### TYPE_STRING_BUFFER

          static final org.objectweb.asm.Type TYPE_STRING_BUFFER

    - #### TYPE_RUNTIME_EXCEPTION

          static final org.objectweb.asm.Type TYPE_RUNTIME_EXCEPTION

    - #### TYPE_ERROR

          static final org.objectweb.asm.Type TYPE_ERROR

    - #### TYPE_SYSTEM

          static final org.objectweb.asm.Type TYPE_SYSTEM

    - #### TYPE_SIGNATURE

          static final org.objectweb.asm.Type TYPE_SIGNATURE

    - #### CONSTRUCTOR_NAME

          static final java.lang.String CONSTRUCTOR_NAME

      See Also:
        Constant Field Values

    - #### STATIC_NAME

          static final java.lang.String STATIC_NAME

      See Also:
        Constant Field Values

    - #### SOURCE_FILE

          static final java.lang.String SOURCE_FILE

      See Also:
        Constant Field Values

    - #### SUID_FIELD_NAME

          static final java.lang.String SUID_FIELD_NAME

      See Also:
        Constant Field Values

    - #### PRIVATE_FINAL_STATIC

          static final int PRIVATE_FINAL_STATIC

      See Also:
        Constant Field Values

    - #### SWITCH_STYLE_TRIE

          static final int SWITCH_STYLE_TRIE

      See Also:
        Constant Field Values

    - #### SWITCH_STYLE_HASH

          static final int SWITCH_STYLE_HASH

      See Also:
        Constant Field Values

    - #### SWITCH_STYLE_HASHONLY

          static final int SWITCH_STYLE_HASHONLY

      See Also:
        Constant Field Values

Copyright (c) 2001 - Apache Software Foundation